#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <CON_Console.h>
#include <CON_Exports.h>
#include <CON_Keys.h>

int initConsole(int& Width, int& Height, int& FullScreen, int& NoAccel, Screen* S)
{
  if (!S->isModeAvailable(640,480))
  {
    MessageBox(NULL,"Mode 640x480x16 not available","ERROR",MB_OK);
    return -1;
  }
  Width=640;
  Height=480;
  FullScreen=0;
  NoAccel=1;
  setDebugLevel(4);
  enableDiagnostics();
  return 0;
}

int action(Console* C)
{
  static int y=50,dy=1;
	Screen* S=C->getScreen();
  S->clear(0);
  if (S->lock()==0)
  {
    S->drawLine(50,50,100,y,0xffff);
    y+=dy;
    if (y>100 || y<50) dy=-dy;
    S->unlock();
  }
  S->flip();
  Keyboard& K=*C->getKeyboard();
  K.update();
  return (K[DIK_ESCAPE]);
}