/** \file CON_Misc.h 
    Miscalenous interfaces 

Copyright (c) 1998-1999 by Amir Geva.
This file is part of the Photon Game Development library,
beta release version 0.21.  
Permission is granted to use and copy this file for non-commercial use only.  
Please contact the author concerning commercial usage. 
Amir Geva makes no representations about the suitability of this software for any purpose.
It is provided "as is" without express or implied warranty.

*/
#ifndef H_CON_MISC
#define H_CON_MISC

/** A generic monitor to check the progress of long time routines */
class ProgressMonitor
{
public:
  /** Callback function with the status of progress 0 to 1 */
  virtual void update(const float Status)=0;
};

#endif // H_CON_MISC